Bug 1393904 (CVE-2016-8645)

Summary: CVE-2016-8645 kernel: a BUG() statement can be hit in net/ipv4/tcp_input.c
Product: [Other] Security Response Reporter: Vladis Dronov <vdronov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aquini, arm-mgr, bhu, carnil, dhoward, fhrbata, gansalmon, iboverma, ichavero, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slawomir, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
It was discovered that the Linux kernel since 3.6-rc1 with 'net.ipv4.tcp_fastopen' set to 1 can hit BUG() statement in tcp_collapse() function after making a number of certain syscalls leading to a possible system crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:01:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1393908, 1395256, 1400217, 1400218, 1400220    
Bug Blocks: 1390621    

Description Vladis Dronov 2016-11-10 15:13:32 UTC
It was discovered that the Linux kernel since, at least, v4.0 till v4.9-rc1 can hit BUG() statement in tcp_collapse() function after making a number of certain syscalls leading to a possible system crash.

Discussion at stable@:

http://www.spinics.net/lists/stable/msg150470.html

Discussion at netdev@:

http://www.spinics.net/lists/netdev/msg403701.html

http://marc.info/?l=linux-netdev&m=147878925724283&w=2

http://marc.info/?t=147878927800005&r=1&w=2 # the whole thread

A proposed patch:

http://marc.info/?l=linux-netdev&m=147881188232264&w=2 # patch v1

http://marc.info/?t=147881111500001&r=1&w=2&n=2 # the whole thread

http://marc.info/?l=linux-netdev&m=147881236332369&w=2 # patch v2

http://marc.info/?t=147881240700003&r=1&w=2 # the whole thread

http://www.spinics.net/lists/netdev/msg403787.html

http://www.spinics.net/lists/netdev/msg403789.html # patch v2

An upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ac6e780070e30e4c35bd395acfe9191e6268bdd3

CVE-ID assignment:

http://seclists.org/oss-sec/2016/q4/397

Comment 1 Vladis Dronov 2016-11-10 15:14:00 UTC
Acknowledgments:

Name: Marco Grassi

Comment 2 Vladis Dronov 2016-11-10 15:15:48 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1393908]

Comment 3 Vladis Dronov 2016-11-11 12:55:06 UTC
CVE-2016-8645 was assigned to this flaw internally by the Red Hat, please, use this CVE-ID in communications regarding this flaw:

http://seclists.org/oss-sec/2016/q4/397

Comment 5 Vladis Dronov 2016-11-15 14:12:22 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code which can trigger the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 10 errata-xmlrpc 2017-08-01 19:10:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2077 https://access.redhat.com/errata/RHSA-2017:2077

Comment 11 errata-xmlrpc 2017-08-02 07:50:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1842 https://access.redhat.com/errata/RHSA-2017:1842

Comment 12 errata-xmlrpc 2017-09-06 20:38:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:2669 https://access.redhat.com/errata/RHSA-2017:2669